SDL_BlitSurfaceScaled(3)

NAME
SDL_BlitSurfaceScaled - Perform a scaled blit to a destination surface, which may be of a different format.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_BlitSurfaceScaled(SDL_Surface *src, const SDL_Rect *srcrect, SDL_Surface *dst, const SDL_Rect *dstrect, SDL_ScaleMode scaleMode);

FUNCTION PARAMETERS

src the SDL_Surface structure to be copied from.

srcrect
    the SDL_Rect structure representing the rectangle to be copied, or NULL to copy the entire surface.

dst the SDL_Surface structure that is the blit target.

dstrect
    the SDL_Rect structure representing the target rectangle in the destination surface, or NULL to fill the entire destination surface.

scaleMode
    the SDL_ScaleMode to be used.

RETURN VALUE
for more information.

THREAD SAFETY
Only one thread should be using the src and dst surfaces at any given time.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_BlitSurface(3)